Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| PDF Clown 0.1.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.pdfclown.documents.interaction.actions
Enum Render.OperationEnum

    java.lang.Object
      java.lang.Enum<Render.OperationEnum>
          org.pdfclown.documents.interaction.actions.Render.OperationEnum

All Implemented Interfaces:
  Serializable, Comparable<Render.OperationEnum>

Enclosing class:
  Render

    public static enum Render.OperationEnum

extends Enum<Render.OperationEnum>

Enum Constant Summary
`Pause` Pause any rendition being played on the screen.
`Play` Play the rendition on the screen, stopping any previous one.
`PlayResume` Play the rendition on the screen, resuming any previous one.
`Resume` Resume any rendition being played on the screen.
`Stop` Stop any rendition being played on the screen.

Method Summary
`PdfInteger` | `getCode()`
`static Render.OperationEnum` | `valueOf(PdfInteger code)`
`static Render.OperationEnum` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static Render.OperationEnum[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### Play

    public static final Render.OperationEnum Play

  Play the rendition on the screen, stopping any previous one.

### Stop

    public static final Render.OperationEnum Stop

  Stop any rendition being played on the screen.

### Pause

    public static final Render.OperationEnum Pause

  Pause any rendition being played on the screen.

### Resume

    public static final Render.OperationEnum Resume

  Resume any rendition being played on the screen.

### PlayResume

    public static final Render.OperationEnum PlayResume

  Play the rendition on the screen, resuming any previous one.

Method Detail

### values

    public static Render.OperationEnum[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (Render.OperationEnum c : Render.OperationEnum.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static Render.OperationEnum valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

### valueOf

    public static Render.OperationEnum valueOf(PdfInteger code)

### getCode

    public PdfInteger getCode()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| PDF Clown 0.1.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Project home page
Copyright © 2006-2013 Stefano Chizzolini. Some Rights Reserved.
This documentation is available under the terms of the GNU Free Documentation License.